## Module RelationTiersContacts

### API
- liste des relations d'un tiers
  - filtre de recherche : identifiant du tiers
  - résultat : liste des objets "RelationTiers" (relation entre le tiers et le contact) avec l'objet contact associé et les champs relatifs à la relation dont le code, le libellé, le commentaire, la date de début et de fin de relation

### Dictionaries
- `c_relationcontact`
  - liste des relations entre contacts
- `c_relationtiers`
  - liste des relations entre tiers/contacts

### Hooks
- `formObjectOptions`
  - sur la fiche d'un contact
    - à la création / modification
      - ajout des champs "libellé de la relation", "date de début", "date de fin", "commentaire" et "tiers par défaut" sur le formulaire
  - sur la fiche d'un tiers et que la constante "THIRDPARTY_SUGGEST_ALSO_ADDRESS_CREATION" est activée
    - à la création
      - ajout des champs "libellé de la relation", "date de début", "date de fin", "commentaire" et "tiers par défaut" sur le formulaire
- `updateSession`
- `afterLogin`
  - redirection de la page "societe/contact.php" vers celle du module "/relationstierscontacts/societe/contact.php"
- `afterSelectOptions`
- `restrictedArea` et `checkUserAccessToObject`
  - ajout de l'accès au contact lié dans le cas où l'on se connecte avec un utilisateur lié à un contact
  - variable globale RELATIONSTIERSCONTACTS_CONTACT_MASTER (=1 si A est master, =2 si B est master)
- `replaceThirdparty`
  - autoriser la fusion de tiers

### Rights
- consulter les relations contacts
- Créer/modifier les relations contacts
- Supprimer les relations contacts
- Consulter les relations tiers
- Créer/modifier les relations tiers
- Supprimer les relations tiers

### Tabs
- `contact`
  - ajout d'un onglet "Relation" (avec badge indiquant le nombre de relations) sur la fiche d'un contact
  - ajout d'un onglet "Tiers" (avec badge indiquant le nombre de relations) sur la fiche d'un contact
- `thirdparty`
  - ajout d'un onglet "Contacts/Adresses" (avec badge indiquant le nombre de relations) sur la fiche d'un tiers
  - suppression de l'onglet standard "Contacts/Adresses"

### SQL
- `llx_relationcontact.key.sql`
- `llx_relationcontact.sql`
- `llx_relationtiers.key.sql`
- `llx_relationtiers.sql`

### Triggers
- `ACTION_MODIFY`
  - mise à jour de la relation tiers / contact
- `ACTION_DELETE`
  - empêche la suppresion d'un événement de l'agenda si une relation tiers / contact est liée
- `CONTACT_CREATE`
  - création d'une relation tiers / contact
- `CONTACT_MODIFY`
  - modification d'une relation tiers / contact
- `CONTACT_DELETE`
  - suppression des relations tiers / contact assoicées au contact
  - suppression des relations contact / contact associées au contact
- `RELATIONTIERS_CREATE`
  - notification dans l'agenda des événements liés lors de la création d'une relation entre un tiers et un contact
- `RELATIONTIERS_MODIFY`
  - notification dans l'agenda des événements liés lors de la modification d'une relation entre un tiers et un contact
- `RELATIONTIERS_DELETE`
  - notification dans l'agenda des événements liés lors de la suppression d'une relation entre un tiers et un contact
- `RELATIONCONTACT_CREATE`
  - notification dans l'agenda des événements liés lors de la création d'une relation entre contacts
- `RELATIONCONTACT_MODIFY`
  - notification dans l'agenda des événements liés lors de la modification d'une relation entre contacts
- `RELATIONCONTACT_DELETE`
  - notification dans l'agenda des événements liés lors de la suppression d'une relation entre contacts

