RelationsTiersContacts
========================
Module de gestion des relations Tiers/Contacts.



# Les relations entre tiers et contacts


## Liste des relations entre tiers et contacts
- Les relations entres tiers et contacts sont visibles depuis :
  - l'onglet "Contacts/Adresses" du tiers
    - on a également la liste des relations des filiale
  - l'onglet "Tiers" du contact


## Création d'un contact lié à un tiers
- lorsqu'un tiers est sélectionné
  - ajout des champs relatif à la relation tiers / contact
  ![](img/doc/contact_create.png)
    - libellé de la relation (obligatoire)
    - date de début de la relation
    - date de fin de la relation
    - commentaire de la relation
    - tiers par défaut (case à cocher)


## Modification d'une relation entre un tiers et un contact
- il y a plusieurs possibilités
  - depuis l'onglet "Tiers" de la fiche d'un contact
  ![](img/doc/relationtiers_update_dialog.png)
  - ou depuis l'onglet "Contacts/Adresses" de la fiche d'un tiers


## Suppression d'une relation entre un tiers et un contact
- aller sur la fiche d'un contact ou d'un tiers et sélectionner l'icône pour supprimer la relation
- puis une confirmation sera demandée avant de supprimer cette relation :
![](img/doc/relationtiers_delete_dialog.png)



# Les relations entre contacts


## Liste des relations entre contacts
- Les relations entres contacts sont visibles depuis :
  - l'onglet "Relation" de la fiche d'un contact


## Ajouter une relation entre contacts
- aller sur la fiche d'un contact et une ligne permet d'ajouter directement une relation sur ce contact
![](img/doc/relationcontact_create.png)


## Modification d'une relation entre contacts
- aller sur la fiche d'un contact et sélectionner l'icône pour éditer la relation
- la ligne située au-dessus de cette liste permet de modifier la relation sélectionnée


## Suppression d'une relation entre contacts
- aller sur la fiche d'un contact et sélectionner l'icône pour supprimer la relation
- puis une confirmation sera demandée avant de supprimer cette relation :
![](img/doc/relationtiers_delete_dialog.png)



# API


## Liste des relations entre tiers et contacts
![](img/doc/api_relationtiers_explorer.png)

- les filtres de recherche
  - `thirdparty_ids`
    - permet de saisir ici un ou plusieurs identifiants de tiers
  - `sqlfilters`
    - permet de saisir d'autres filtres directement en lien avec la table "relation tiers / contact"


- la requête CURL
  - exemple de requête pour récupérer la liste des relations tiers / contacts pour le tiers ayant pour identifiant "1" 
  ``` 
  curl -X GET --header 'Accept: application/json' --header 'DOLAPIKEY: ${DOLAPIKEY}' '${DOLURL}/api/index.php/relationstierscontactsapi?sortfield=t.rowid&sortorder=ASC&limit=100&thirdparty_ids=1'
  ```
      - où ${DOLAPIKEY} est la clé de l'API provenant de la fiche de l'utilisateur
      - et ${DOLURL} est l'url relative à l'ERP/CRM


- la réponse
    - liste d'objets "RelationTiers" (relation entre le tiers et le contact) avec l'objet contact associé et les champs "code", "libellé", "commentaire", "date de début" et "date de fin" de la relation
        - exemple de réponse
      ```[
      {
        "id": "1",
        "fk_soc": "1",
        "fk_socpeople": "1",
        "fk_c_relationtiers": "4",
        "fk_actioncomm": "0",
        "date_debut": null,
        "date_fin": null,
        "commentaire": "",
        "is_main_thirdparty": true,
        "entity": null,
        "import_key": null,
        "array_options": [],
        "array_languages": null,
        "linkedObjectsIds": null,
        "canvas": null,
        "fk_project": null,
        "contact": {
          "civility_id": null,
          "civility_code": "MR",
          "civility": "Monsieur",
          "address": "",
          "zip": "",
          "town": "",
          "state_id": null,
          "poste": "",
          "socid": "1",
          "fk_soc": "1",
          "statut": "1",
          "code": null,
          "email": "",
          "phone_pro": "",
          "phone_perso": "",
          "phone_mobile": "",
          "fax": "",
          "priv": "0",
          "entity": "1",
          "array_options": {
            "options_field1": null,
            "options_filed2": """
          },
          ...
        }
      }, 
      ...
      ]```

